Subject: bug#19305: closed (Re: bug#19305: Integrate dd wrapper "progress-dd" with coreutils)

From: [email-masked] (GNU bug Tracking System)
Date: Mon, 08 Dec 2014 14:59:03 +0000

Your bug report

#19305: Integrate dd wrapper "progress-dd" with coreutils

which was filed against the coreutils package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
19305: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=19305
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#19305: Integrate dd wrapper "progress-dd" with coreutils
From: Pádraig Brady <[email-masked]>
To: Sebastian Pipping <[email-masked]>, [email-masked]
Date: Mon, 08 Dec 2014 14:58:14 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

On 08/12/14 14:29, Sebastian Pipping wrote:
> Hi there,
> 
> 
> I would like to see dd wrapper "progress-dd" into coreutils.
> All it does is to keep sending USR1 to a child dd process to increase
> usability of that dd feature.
> It's up here:
> 
> http://git.goodpoint.de/?p=progress-dd.git;a=blob;f=progress-dd
> 
> I'm happy to fix any potential issues about it if your interested in
> general.

In general reusing existing tools with wrappers is a useful technique,
and often preferred over adding options to the tools themselves.
Though in this case we thought it more appropriate to add the status=progress
option to dd itself, as that has the added advantage of updating a single line:

  http://git.sv.gnu.org/gitweb/?p=coreutils.git;a=commitdiff;h=af2a4ed2

Note also the following related commit which make the handling of SIGUSR1
free from races. See the example in coreutils.texi in the following
to avoid the startup races:

  http://git.sv.gnu.org/gitweb/?p=coreutils.git;a=commitdiff;h=27d2c738

The above two patches will be in the next coreutils release.

thanks,
Pádraig.

Subject: Integrate dd wrapper "progress-dd" with coreutils
From: Sebastian Pipping <[email-masked]>
To: [email-masked]
Date: Mon, 08 Dec 2014 15:29:46 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi there,

I would like to see dd wrapper "progress-dd" into coreutils.
All it does is to keep sending USR1 to a child dd process to increase
usability of that dd feature.
It's up here:

http://git.goodpoint.de/?p=progress-dd.git;a=blob;f=progress-dd

I'm happy to fix any potential issues about it if your interested in
general.

Best,

Sebastian